API referenceDealCollection
POST /api/DealCollection/Post
This endpoint will create a new Deal Collection if the ID is null or zero, or update an existing Deal Collections if a valid ID is provided.
POST
/api/DealCollection/Postcurl -X POST "/api/DealCollection/Post" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"name": "string",
"dealCollectionTypeId": 0,
"dealCollectionStatusId": 0
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.PortfolioManagement.DealCollectionRequestDto[] | null
Response
application/json
A list of Deal Collections.
successbooleanerrorCodestring | nullerrorMessagestring | nullwarningMessagestring | nullinfoMessagestring | nullrecordCountinteger<int32>dataEtrmApiGateway.DTOs.PortfolioManagement.DealApiRequestDto
{
"success": true,
"errorCode": "string",
"errorMessage": "string",
"warningMessage": "string",
"infoMessage": "string",
"recordCount": 0,
"data": {
"id": 0,
"externalId": "string",
"name": "string",
"dealClass": 1,
"commodity": 0,
"dealDirection": 1,
"dealStatus": 10,
"dealDelivery": 1,
"timeZoneInfo": 0,
"companyId": 0,
"businessUnitId": 0,
"bookId": 0,
"folderId": 0,
"portfolioId": 0,
"counterPartyId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"profiles": [
{
"id": 0,
"timeseriesId": 0,
"type": 1,
"quantity": 0,
"uom": 1,
"granularity": 1
}
],
"totalQuantity": 0,
"priceType": 0,
"currency": 1,
"legs1": [
{
"id": 0,
"dealUpfront": 0,
"dealUpfront2": 0,
"dealMultiplier": 0,
"priceDataseriesId": 0,
"validFrom": "2026-01-15T09:30:00Z"
}
],
"mtmDataseriesId": 0,
"transactionTime": "2026-01-15T09:30:00Z",
"exchangeId": 0,
"traderId": 0,
"masterAgreementId": 0,
"includedInSettlement": true,
"calendar": 1,
"ibanId": 0,
"vatLevel": 0,
"deliveryDate": "2026-01-15T09:30:00Z",
"consumptionStart": "2026-01-15T09:30:00Z",
"consumptionEnd": "2026-01-15T09:30:00Z",
"productionEntityExternalId": "string",
"consumptionEntityExternalId": "string",
"technology": 0,
"country": 1,
"counterPartyRegistryAccount": "string",
"amount": 0,
"dealClusterId": 0,
"dealTemplateId": 0,
"linkedDeals": [
0
],
"memo": "string",
"memo2": "string"
}
}